Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryTableInfo

    java.lang.Object
      jet.api.QueryTableInfo

    public class QueryTableInfo

extends java.lang.Object

Constructor Summary
`QueryTableInfo(int capacity)` Constructor.

Method Summary
`void` | `add(TableInfo table)` insert a table information.
`int` | `getLength()` get tables number of this query
`TableInfo` | `getTableInfo(int index)` get specified table information
`TableInfo[]` | `getTableInfos()` get all tables information of this query
`int` | `indexOf(java.lang.String tablename)` get index number of specified table

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryTableInfo

    public QueryTableInfo(int capacity)

  Constructor. Create query table information.

  Parameters:
    `capacity` - default table numbers of this query.

Method Detail

### add

    public void add(TableInfo table)

  insert a table information.

  Parameters:
    `table` - table Information.

### getTableInfos

    public TableInfo[] getTableInfos()

  get all tables information of this query

  Returns:
    TableInfo array.

### getTableInfo

    public TableInfo getTableInfo(int index)

  get specified table information

  Parameters:
    `index` - index number of table information
  Returns:
    TableInfo at specified index

### getLength

    public int getLength()

  get tables number of this query

  Returns:
    number of tables

### indexOf

    public int indexOf(java.lang.String tablename)

  get index number of specified table

  Parameters:
    `tablename` - table name
  Returns:
    index number of table

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD